### Name: r2lUniv.data.frame
### Title: Method for data frame
### Aliases: r2lUniv.data.frame
### Keywords: univar interface utilities classes print

### ** Examples

 # # # # # # # # # # # # # # # # # # #
#   R to LaTeX, Univariate Analyses   #
 #             Examples              # 
  #           data.frame            #
   # # # # # # # # # # # # # # # # #


########################
###### Step 1: Load the data

data(examCheating)
str(examCheating)

########################
###### Step 2: Set ordered

examCheating$YearOfStudy <- ordered(examCheating$YearOfStudy,levels=c("L1","L2","L3","M1","M2"))
examCheating$Bac <- ordered(examCheating$Bac,levels=c("Remedial exam","Pass","Fairly good","Good","Very good","Summa cum laude"))
for(iColumn in 8:17){examCheating[,iColumn] <- ordered(examCheating[,iColumn],levels=c("Never","Rarely","Sometimes","Often","Always"))}
str(examCheating)

########################
###### Step 3: Change some classes.
### Everything seems ok

########################
###### Step 4: Run

### The following code will create some files.
### So we advise you to first move to directory "r2lUnivExample"
dir.create("r2lUnivExample")
setwd("r2lUnivExample")

r2lUniv(examCheating[,-1],"cheatAnalyses.tex")

### Creates the main document.
r2lGenerateLatexMain("cheatAnalyses.tex")

### Everything is ready, you can now run LaTeX on the file "main.tex"
setwd("..")



